package org.tk.sqle.view;

import javax.swing.JCheckBox;

/** Checkbox f�r Autocommit.
 * @author Thiemo Kahn
 */
class CheckBoxAutoCommit extends JCheckBox {

	private static final long serialVersionUID = -8759201247695590838L;
	private boolean autoCommit = true;

	/** Erzeuger. 
	 */
	CheckBoxAutoCommit() {
		super();
		autoCommit = true;
		setBorderPainted(true);
		setSelected(false);
		setFont(Fonts.REG);
		setMnemonic('u');
	}

	/** Setzt Commit-Steuerung.
	 * @param autoCommit automatisch=true, manuell=false
	 */
	void setAutoCommit(boolean autoCommit) {
		this.autoCommit = autoCommit;
		if (autoCommit == true) {
			setSelected(true);
		} else {
			setSelected(false);
		}
	}

}
