package org.tk.sqle.view;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.HeadlessException;
import java.awt.Toolkit;

import javax.swing.JFrame;
import javax.swing.JLabel;

/** Startfenster.
 * @author Thiemo Kahn
 */
final class WindowStart extends JFrame {

	private static final long serialVersionUID = -5212371044985965427L;
	private JLabel label = null;

	/** Erstellt Startfenster.
	 */
	WindowStart() throws HeadlessException {
		super();
		getContentPane().setBackground(Color.black);
		Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation(d.width / 2 - 150, d.height / 2 - 150);
		setSize(new Dimension(300, 300));
		label = new JLabel("sqleditor", JLabel.CENTER);
		label.setForeground(Color.WHITE);
		label.setFont(Fonts.BIG_BOLD);
		getContentPane().add(label);
		setUndecorated(true);
		setVisible(true);
	}

}
