package org.tk.sqle.model;



/** Ausnahme bei Ausfhren einer Aktion.
 * @author Thiemo Kahn
 */
public final class ActionException extends Exception{

	/**
	 * Serial ID
	 */
	private static final long serialVersionUID = 1235579022213949859L;

	/** Aktions-Ausnahme mit Standardmeldung. 
	 */
	public ActionException(){
		super(Term.getTerm("MSG_ACTIONEXC"));
	}
	
	/**Aktions-Ausnahme mit Meldung.
	 * @param message Meldung
	 */
	public ActionException(String message){
		super(message);
	}
}
